"Fossies" - the Fresh Open Source Software Archive

Member "libping-1.15/Makefile.in" (30 Oct 2002, 12287 Bytes) of package /linux/privat/old/libping-1.15.tar.gz:


As a special service "Fossies" has tried to format the requested text file into HTML format (style: standard) with prefixed line numbers. Alternatively you can here view or download the uninterpreted source code file.

    1 # Makefile.in generated automatically by automake 1.5 from Makefile.am.
    2 
    3 # Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001
    4 # Free Software Foundation, Inc.
    5 # This Makefile.in is free software; the Free Software Foundation
    6 # gives unlimited permission to copy and/or distribute it,
    7 # with or without modifications, as long as this notice is preserved.
    8 
    9 # This program is distributed in the hope that it will be useful,
   10 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
   11 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
   12 # PARTICULAR PURPOSE.
   13 
   14 @SET_MAKE@
   15 
   16 SHELL = @SHELL@
   17 
   18 srcdir = @srcdir@
   19 top_srcdir = @top_srcdir@
   20 VPATH = @srcdir@
   21 prefix = @prefix@
   22 exec_prefix = @exec_prefix@
   23 
   24 bindir = @bindir@
   25 sbindir = @sbindir@
   26 libexecdir = @libexecdir@
   27 datadir = @datadir@
   28 sysconfdir = @sysconfdir@
   29 sharedstatedir = @sharedstatedir@
   30 localstatedir = @localstatedir@
   31 libdir = @libdir@
   32 infodir = @infodir@
   33 mandir = @mandir@
   34 includedir = @includedir@
   35 oldincludedir = /usr/include
   36 pkgdatadir = $(datadir)/@PACKAGE@
   37 pkglibdir = $(libdir)/@PACKAGE@
   38 pkgincludedir = $(includedir)/@PACKAGE@
   39 top_builddir = .
   40 
   41 ACLOCAL = @ACLOCAL@
   42 AUTOCONF = @AUTOCONF@
   43 AUTOMAKE = @AUTOMAKE@
   44 AUTOHEADER = @AUTOHEADER@
   45 
   46 INSTALL = @INSTALL@
   47 INSTALL_PROGRAM = @INSTALL_PROGRAM@
   48 INSTALL_DATA = @INSTALL_DATA@
   49 INSTALL_SCRIPT = @INSTALL_SCRIPT@
   50 INSTALL_HEADER = $(INSTALL_DATA)
   51 transform = @program_transform_name@
   52 NORMAL_INSTALL = :
   53 PRE_INSTALL = :
   54 POST_INSTALL = :
   55 NORMAL_UNINSTALL = :
   56 PRE_UNINSTALL = :
   57 POST_UNINSTALL = :
   58 host_alias = @host_alias@
   59 host_triplet = @host@
   60 AMTAR = @AMTAR@
   61 AS = @AS@
   62 AWK = @AWK@
   63 CC = @CC@
   64 DATE = @DATE@
   65 DEPDIR = @DEPDIR@
   66 DLLTOOL = @DLLTOOL@
   67 ECHO = @ECHO@
   68 EXEEXT = @EXEEXT@
   69 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
   70 LIBTOOL = @LIBTOOL@
   71 LN_S = @LN_S@
   72 OBJDUMP = @OBJDUMP@
   73 OBJEXT = @OBJEXT@
   74 PACKAGE = @PACKAGE@
   75 RANLIB = @RANLIB@
   76 SSL_INCLUDE = @SSL_INCLUDE@
   77 SSL_LDFLAGS = @SSL_LDFLAGS@
   78 SSL_LIBS = @SSL_LIBS@
   79 STRIP = @STRIP@
   80 VERSION = @VERSION@
   81 am__include = @am__include@
   82 am__quote = @am__quote@
   83 install_sh = @install_sh@
   84 
   85 AUTOMAKE_OPTIONS = foreign no-dependencies  
   86 
   87 SUBDIRS = . doc include lib src utils
   88 
   89 DIST_SUBDIRS = $(SUBDIRS)
   90 
   91 EXTRA_DIST = acconfig.h
   92 
   93 DISTCLEANFILES = libtool config.status
   94 subdir = .
   95 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
   96 mkinstalldirs = $(SHELL) $(top_srcdir)/utils/mkinstalldirs
   97 CONFIG_HEADER = $(top_builddir)/include/config.h
   98 CONFIG_CLEAN_FILES =
   99 depcomp =
  100 DIST_SOURCES =
  101 
  102 RECURSIVE_TARGETS = info-recursive dvi-recursive install-info-recursive \
  103 	uninstall-info-recursive all-recursive install-data-recursive \
  104 	install-exec-recursive installdirs-recursive install-recursive \
  105 	uninstall-recursive check-recursive installcheck-recursive
  106 DIST_COMMON = README AUTHORS COPYING ChangeLog INSTALL Makefile.am \
  107 	Makefile.in NEWS acconfig.h aclocal.m4 configure configure.in \
  108 	install-sh
  109 all: all-recursive
  110 
  111 .SUFFIXES:
  112 
  113 mostlyclean-libtool:
  114 	-rm -f *.lo
  115 
  116 clean-libtool:
  117 	-rm -rf .libs _libs
  118 
  119 distclean-libtool:
  120 	-rm -f libtool
  121 $(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
  122 	cd $(top_srcdir) && \
  123 	  $(AUTOMAKE) --foreign  Makefile
  124 Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
  125 	cd $(top_builddir) && \
  126 	  CONFIG_HEADERS= CONFIG_LINKS= \
  127 	  CONFIG_FILES=$@ $(SHELL) ./config.status
  128 
  129 $(top_builddir)/config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  130 	$(SHELL) ./config.status --recheck
  131 $(srcdir)/configure:  $(srcdir)/configure.in $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
  132 	cd $(srcdir) && $(AUTOCONF)
  133 
  134 $(ACLOCAL_M4):  configure.in 
  135 	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
  136 uninstall-info-am:
  137 
  138 # This directory's subdirectories are mostly independent; you can cd
  139 # into them and run `make' without going through this Makefile.
  140 # To change the values of `make' variables: instead of editing Makefiles,
  141 # (1) if the variable is set in `config.status', edit `config.status'
  142 #     (which will cause the Makefiles to be regenerated when you run `make');
  143 # (2) otherwise, pass the desired values on the `make' command line.
  144 $(RECURSIVE_TARGETS):
  145 	@set fnord $(MAKEFLAGS); amf=$$2; \
  146 	dot_seen=no; \
  147 	target=`echo $@ | sed s/-recursive//`; \
  148 	list='$(SUBDIRS)'; for subdir in $$list; do \
  149 	  echo "Making $$target in $$subdir"; \
  150 	  if test "$$subdir" = "."; then \
  151 	    dot_seen=yes; \
  152 	    local_target="$$target-am"; \
  153 	  else \
  154 	    local_target="$$target"; \
  155 	  fi; \
  156 	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
  157 	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
  158 	done; \
  159 	if test "$$dot_seen" = "no"; then \
  160 	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
  161 	fi; test -z "$$fail"
  162 
  163 mostlyclean-recursive clean-recursive distclean-recursive \
  164 maintainer-clean-recursive:
  165 	@set fnord $(MAKEFLAGS); amf=$$2; \
  166 	dot_seen=no; \
  167 	case "$@" in \
  168 	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
  169 	  *) list='$(SUBDIRS)' ;; \
  170 	esac; \
  171 	rev=''; for subdir in $$list; do \
  172 	  if test "$$subdir" = "."; then :; else \
  173 	    rev="$$subdir $$rev"; \
  174 	  fi; \
  175 	done; \
  176 	rev="$$rev ."; \
  177 	target=`echo $@ | sed s/-recursive//`; \
  178 	for subdir in $$rev; do \
  179 	  echo "Making $$target in $$subdir"; \
  180 	  if test "$$subdir" = "."; then \
  181 	    local_target="$$target-am"; \
  182 	  else \
  183 	    local_target="$$target"; \
  184 	  fi; \
  185 	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
  186 	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
  187 	done && test -z "$$fail"
  188 tags-recursive:
  189 	list='$(SUBDIRS)'; for subdir in $$list; do \
  190 	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
  191 	done
  192 
  193 tags: TAGS
  194 
  195 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
  196 	list='$(SOURCES) $(HEADERS) $(TAGS_FILES)'; \
  197 	unique=`for i in $$list; do \
  198 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  199 	  done | \
  200 	  $(AWK) '    { files[$$0] = 1; } \
  201 	       END { for (i in files) print i; }'`; \
  202 	mkid -fID $$unique $(LISP)
  203 
  204 TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
  205 		$(TAGS_FILES) $(LISP)
  206 	tags=; \
  207 	here=`pwd`; \
  208 	list='$(SUBDIRS)'; for subdir in $$list; do \
  209 	  if test "$$subdir" = .; then :; else \
  210 	    test -f $$subdir/TAGS && tags="$$tags -i $$here/$$subdir/TAGS"; \
  211 	  fi; \
  212 	done; \
  213 	list='$(SOURCES) $(HEADERS) $(TAGS_FILES)'; \
  214 	unique=`for i in $$list; do \
  215 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  216 	  done | \
  217 	  $(AWK) '    { files[$$0] = 1; } \
  218 	       END { for (i in files) print i; }'`; \
  219 	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
  220 	  || etags $(ETAGS_ARGS) $$tags  $$unique $(LISP)
  221 
  222 GTAGS:
  223 	here=`CDPATH=: && cd $(top_builddir) && pwd` \
  224 	  && cd $(top_srcdir) \
  225 	  && gtags -i $(GTAGS_ARGS) $$here
  226 
  227 distclean-tags:
  228 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH
  229 
  230 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  231 
  232 top_distdir = .
  233 # Avoid unsightly `./'.
  234 distdir = $(PACKAGE)-$(VERSION)
  235 
  236 GZIP_ENV = --best
  237 
  238 distdir: $(DISTFILES)
  239 	-chmod -R a+w $(distdir) >/dev/null 2>&1; rm -rf $(distdir)
  240 	mkdir $(distdir)
  241 	@for file in $(DISTFILES); do \
  242 	  if test -f $$file; then d=.; else d=$(srcdir); fi; \
  243 	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
  244 	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
  245 	    $(mkinstalldirs) "$(distdir)/$$dir"; \
  246 	  fi; \
  247 	  if test -d $$d/$$file; then \
  248 	    cp -pR $$d/$$file $(distdir) \
  249 	    || exit 1; \
  250 	  else \
  251 	    test -f $(distdir)/$$file \
  252 	    || cp -p $$d/$$file $(distdir)/$$file \
  253 	    || exit 1; \
  254 	  fi; \
  255 	done
  256 	for subdir in $(DIST_SUBDIRS); do \
  257 	  if test "$$subdir" = .; then :; else \
  258 	    test -d $(distdir)/$$subdir \
  259 	    || mkdir $(distdir)/$$subdir \
  260 	    || exit 1; \
  261 	    (cd $$subdir && \
  262 	      $(MAKE) $(AM_MAKEFLAGS) \
  263 	        top_distdir="$(top_distdir)" \
  264 	        distdir=../$(distdir)/$$subdir \
  265 	        distdir) \
  266 	      || exit 1; \
  267 	  fi; \
  268 	done
  269 	-find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
  270 	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
  271 	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
  272 	  ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
  273 	|| chmod -R a+r $(distdir)
  274 dist: distdir
  275 	$(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
  276 	-chmod -R a+w $(distdir) >/dev/null 2>&1; rm -rf $(distdir)
  277 
  278 # This target untars the dist file and tries a VPATH configuration.  Then
  279 # it guarantees that the distribution is self-contained by making another
  280 # tarfile.
  281 distcheck: dist
  282 	-chmod -R a+w $(distdir) > /dev/null 2>&1; rm -rf $(distdir)
  283 	GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(AMTAR) xf -
  284 	chmod -R a-w $(distdir); chmod a+w $(distdir)
  285 	mkdir $(distdir)/=build
  286 	mkdir $(distdir)/=inst
  287 	chmod a-w $(distdir)
  288 	dc_install_base=`CDPATH=: && cd $(distdir)/=inst && pwd` \
  289 	  && cd $(distdir)/=build \
  290 	  && ../configure --srcdir=.. --prefix=$$dc_install_base \
  291 	  && $(MAKE) $(AM_MAKEFLAGS) \
  292 	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
  293 	  && $(MAKE) $(AM_MAKEFLAGS) check \
  294 	  && $(MAKE) $(AM_MAKEFLAGS) install \
  295 	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
  296 	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
  297 	  && (test `find $$dc_install_base -type f -print | wc -l` -le 1 \
  298 	     || (echo "Error: files left after uninstall" 1>&2; \
  299 	         exit 1) ) \
  300 	  && $(MAKE) $(AM_MAKEFLAGS) dist \
  301 	  && $(MAKE) $(AM_MAKEFLAGS) distclean \
  302 	  && rm -f $(distdir).tar.gz \
  303 	  && (test `find . -type f -print | wc -l` -eq 0 \
  304 	     || (echo "Error: files left after distclean" 1>&2; \
  305 	         exit 1) )
  306 	-chmod -R a+w $(distdir) > /dev/null 2>&1; rm -rf $(distdir)
  307 	@echo "$(distdir).tar.gz is ready for distribution" | \
  308 	  sed 'h;s/./=/g;p;x;p;x'
  309 check-am: all-am
  310 check: check-recursive
  311 all-am: Makefile
  312 installdirs: installdirs-recursive
  313 installdirs-am:
  314 
  315 install: install-recursive
  316 install-exec: install-exec-recursive
  317 install-data: install-data-recursive
  318 uninstall: uninstall-recursive
  319 
  320 install-am: all-am
  321 	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  322 
  323 installcheck: installcheck-recursive
  324 install-strip:
  325 	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  326 	  `test -z '$(STRIP)' || \
  327 	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
  328 mostlyclean-generic:
  329 
  330 clean-generic:
  331 
  332 distclean-generic:
  333 	-rm -f Makefile $(CONFIG_CLEAN_FILES) stamp-h stamp-h[0-9]*
  334 	-test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
  335 
  336 maintainer-clean-generic:
  337 	@echo "This command is intended for maintainers to use"
  338 	@echo "it deletes files that may require special tools to rebuild."
  339 clean: clean-recursive
  340 
  341 clean-am: clean-generic clean-libtool mostlyclean-am
  342 
  343 dist-all: distdir
  344 	$(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
  345 	-chmod -R a+w $(distdir) >/dev/null 2>&1; rm -rf $(distdir)
  346 distclean: distclean-recursive
  347 	-rm -f config.status config.cache config.log
  348 distclean-am: clean-am distclean-generic distclean-libtool \
  349 	distclean-tags
  350 
  351 dvi: dvi-recursive
  352 
  353 dvi-am:
  354 
  355 info: info-recursive
  356 
  357 info-am:
  358 
  359 install-data-am:
  360 
  361 install-exec-am:
  362 
  363 install-info: install-info-recursive
  364 
  365 install-man:
  366 
  367 installcheck-am:
  368 
  369 maintainer-clean: maintainer-clean-recursive
  370 
  371 maintainer-clean-am: distclean-am maintainer-clean-generic
  372 
  373 mostlyclean: mostlyclean-recursive
  374 
  375 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
  376 
  377 uninstall-am: uninstall-info-am
  378 
  379 uninstall-info: uninstall-info-recursive
  380 
  381 .PHONY: $(RECURSIVE_TARGETS) GTAGS all all-am check check-am clean \
  382 	clean-generic clean-libtool clean-recursive dist dist-all \
  383 	distcheck distclean distclean-generic distclean-libtool \
  384 	distclean-recursive distclean-tags distdir dvi dvi-am \
  385 	dvi-recursive info info-am info-recursive install install-am \
  386 	install-data install-data-am install-data-recursive \
  387 	install-exec install-exec-am install-exec-recursive \
  388 	install-info install-info-am install-info-recursive install-man \
  389 	install-recursive install-strip installcheck installcheck-am \
  390 	installdirs installdirs-am installdirs-recursive \
  391 	maintainer-clean maintainer-clean-generic \
  392 	maintainer-clean-recursive mostlyclean mostlyclean-generic \
  393 	mostlyclean-libtool mostlyclean-recursive tags tags-recursive \
  394 	uninstall uninstall-am uninstall-info-am \
  395 	uninstall-info-recursive uninstall-recursive
  396 
  397 # Tell versions [3.59,3.63) of GNU make to not export all variables.
  398 # Otherwise a system limit (for SysV at least) may be exceeded.
  399 .NOEXPORT: